Ace Wing Apr 20 @ 5:52am
Steam won't start after fresh install? Ubuntu 14.04 [fix has been found]
This is the error if I start steam:

user@MachineName:~$ steam
Running Steam on ubuntu 14.04 64-bit
STEAM_RUNTIME is enabled automatically
Installing breakpad exception handler for appid(steam)/version(1393366296_client)
/home/user/.steam/steam.sh: line 755: 11389 Segmentation fault (core dumped) $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
mv: cannot stat ‘/home/user/.steam/registry.vdf’: No such file or directory
Installing bootstrap /home/user/.steam/bootstrap.tar.xz
Reset complete!
Restarting Steam by request...
Running Steam on ubuntu 14.04 64-bit
STEAM_RUNTIME has been set by the user to: /home/user/.steam/ubuntu12_32/steam-runtime
Installing breakpad exception handler for appid(steam)/version(1393366296_client)
/home/user/.steam/steam.sh: line 755: 11512 Segmentation fault (core dumped) $STEAM_DEBUGGER "$STEAMROOT/$PLATFORM/$STEAMEXE" "$@"
user@MachineName:~$

So I guess this is something to take note of I guess?:
__________________________________________________
Steam Client Beta Update - April 17th
17 April - scottlu
We have just updated the beta with the following changes:

Linux:

Updated the steam-runtime for Ubuntu 14.04 compatibility
__________________________________________________

Help is much appreciated.
FIX has been found look at page 2

Last edited by Ace Wing; Apr 21 @ 4:40am
Showing 1-15 of 27 comments
< >
OverlordTomala Apr 20 @ 5:54am 
Do you have your video drivers installed?
Ace Wing Apr 20 @ 6:24am 
Nvidia 337.12, yes.
I first removed the nouveau then installed the Nvidia driver.

Here's the log of the Nvidia driver installer.[pastebin.com]
Last edited by Ace Wing; Apr 20 @ 6:25am
LOLCAT Apr 20 @ 8:48am 
It did start fine for me, though I tried the 32-bit version. You may be missing some 32-bit libs probably, if you have x64.
Ace Wing Apr 20 @ 8:55am 
LOLCAT, yes I'm using 64-bit.
Is there a solution which includes me to installing 32-bit libraries?
Last edited by Ace Wing; Apr 20 @ 8:56am
Doc Holliday Apr 20 @ 9:14am 
it's really bad to use a New Ubuntu release as Canonical is Like EA Release it now fix it later this is why Linux Mint waits around 30 or so days for threre releases try reinstalling your drivers and Steam with the 32bit Lib's Etc
Ace Wing Apr 20 @ 9:23am 
* rages internally *
instabilis Apr 20 @ 9:55am 
Far simpler just to avoid Ubuntu and Ubuntu-based distros.
Ace Wing Apr 20 @ 10:50am 
Does anyone have a solution based on the info I have given?
I would happily give more system related information if that would help resolve this problem.
LOLCAT Apr 20 @ 10:50am 
Originally posted by instabilis:
Far simpler just to avoid Ubuntu and Ubuntu-based distros.
People have different tastes. Get over it. If people leave Ubuntu, it will be even crappier, just what happened to Fedora. I vote for fixing problems instead of running away. You only have to run away if ever Mir becomes mandatory.
phillippi2 Apr 20 @ 11:33am 
You used to be able to install all the needed 32 bit libraries by typing "apt-get install ia32-libs" However, the package name has changed, and I don't remember what it changed to.
[Linux] Mr. Nice Apr 20 @ 11:44am 
No problems here on 14.04. Try sudo apt-get purge steam after that sudo apt-get install steam.
Ace Wing Apr 20 @ 11:56am 
Originally posted by phillippi2:
You used to be able to install all the needed 32 bit libraries by typing "apt-get install ia32-libs" However, the package name has changed, and I don't remember what it changed to.
I tried looking for it a while ago, nothing good turned up yet.

Originally posted by Linux Mr. Nice:
No problems here on 14.04. Try sudo apt-get purge steam after that sudo apt-get install steam.
Nope, still getting the same error.
Last edited by Ace Wing; Apr 20 @ 11:57am
instabilis Apr 20 @ 1:06pm 
Originally posted by LOLCAT:
People have different tastes. Get over it. If people leave Ubuntu, it will be even crappier, just what happened to Fedora. I vote for fixing problems instead of running away. You only have to run away if ever Mir becomes mandatory.
I wasn't intending on getting into one of those stupid petty squabbles...
Megakill Apr 20 @ 1:18pm 
I ran into the same issue...
✦Electric.UNIVERSE✦ Apr 20 @ 1:25pm 
I had no luck with Ubuntu 14.04 x64 and Steam either, so for now i am using Elementary OS until they fix the problem.
Showing 1-15 of 27 comments
< >
Per page: 15 30 50